/*
 * Copyright (C) 1997-2006 LAAS/CNRS 
 *
 * Matthieu Herrb - Tue Sep  9 1997
 *
 * $Source$
 * $Revision$
 * $Date$
 * 
 */
#ifndef _COMPASLIB_H
#define _COMPASLIB_H

#include <semLib.h>

#include "gyroLib.h"

#define GYRO_MAX_ANGULAR_SPEED_DEG_S    100.0  /* degre/second */

#define GYRO_READ_TASK_NAME		"tGyro"
#define GYRO_READ_TASK_PRIORITY		20
#define GRYO_READ_TASK_STACK_SIZE	3000

#define GYRO_PERIOD                     (0.1)


/* Codes d'erreur */
#define M_gyroLib                      692
#define S_gyroLib_SEND_CMD_ERROR       ((M_gyroLib << 16) | 1)
#define S_gyroLib_ALREADY_INITIALIZED  ((M_gyroLib << 16) | 2)
#define S_gyroLib_NOT_INITIALIZED      ((M_gyroLib << 16) | 3)

/* prototypes */
STATUS	gyroInit(char *device);
STATUS	gyroRate(double *rate, double *temperature);
STATUS	gyroStop(void);
STATUS	gyroPeriod(double *period);
void	gyroShow(void);
void    gyroPrint(int level);

#endif
